PAM_STRERROR(3) | Library Functions Manual | PAM_STRERROR(3)

# NAME

pam_strerror — get PAM standard error message string

# LIBRARY

Pluggable Authentication Module Library (libpam, -lpam)

# SYNOPSIS

#include <sys/types.h>
#include <security/pam_appl.h>

const char *
pam_strerror(const pam_handle_t *pamh, int error_number);

# DESCRIPTION

The pam_strerror() function returns a pointer to a string containing a textual description of the error indicated by the error_number argument in the context of the PAM transaction described by the pamh. The pamh argument is ignored. For compatibility with other implementations, it should be either a valid PAM handle returned by a previous call to pam_start(3), or NULL.

# RETURN VALUES

The pam_strerror() function returns NULL on failure.

# SEE ALSO

pam(3), pam_start(3)

# STANDARDS

X/Open Single Sign-On Service (XSSO) - Pluggable Authentication Modules, June 1997.

# AUTHORS

The pam_strerror() function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.

The OpenPAM library is maintained by Dag-Erling Smørgrav <des@des.no>.

September 12, 2014 | NetBSD 7.2